/*
 * GccApplication1.c
 *
 * Created: 3/24/2020 3:02:46 PM
 * Author : Vincent Zhou
 */ 

#define F_CPU 20000000
#include <avr/io.h>
#include <avr/delay.h>

#define setInputPin(pin) PORTA.DIRCLR |= (1 << pin)
#define setOutputPin(pin) PORTA.DIRSET |= (1 << pin)
#define setPinHigh(pin) VPORTA.OUT |= (1 << pin)
#define setPinLow(pin) VPORTA.OUT &= ~(1 << pin)
#define readPin(pin) VPORTA.IN & (1 << pin)

#define led_pin 6
#define button_pin 7
#define delay_ms 500


int main(void)
{
    setInputPin(button_pin);
    setOutputPin(led_pin);
    while (1) 
    {
		if (readPin(button_pin)) {
			setPinHigh(led_pin);
			_delay_ms(delay_ms);
			setPinLow(led_pin);
			_delay_ms(delay_ms);
		}
    }
}

